[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.Add

Add new object of class T to the list.

## Declaration

Source position: fgl.pp line 187

`public function TFPGObjectList.Add(`
`const Item: T`
`):Integer;`

## Arguments

`Item` |  | Item to add to the list.

## Function result

Index at which item was added.

## Description

Add adds a new item Item of class type T to the list and returns the position at which the item was added.

## Errors

If the item could not be added, an EListError exception is raised.

## See also

TFPGObjectList.Extract |  | Extract an item from the list
TFPGObjectList.Items |  | Indexed access to objects in the list.
TFPGObjectList.IndexOf |  | Index of item